Subject: Re: bug#22092: 24.5; icalendar-import should strip windows newlines

From: Kevin Brubeck Unhammer <[email-masked]>
Date: Fri, 04 Dec 2015 21:54:04 +0100

Ulf Jasper <[email-masked]> čálii:

> Am 04.12.2015 um 10:16 (+0100) schrieb Kevin Brubeck Unhammer:
>> Tried importing an .ics with `icalendar-import-buffer'. The file had the
>> Windows ^M newlines, no events were imported. Presumably, the function
>> should strip ^M's first (though note that the file itself is likely to
>> be chmod -w, e.g. if it was downloaded by Firefox and placed in /tmp).
>
> AFAIR icalendar files always contain CR LF sequences.  So the problem
> may be caused by something else than the line endings.
>
> Could you please supply a sample file (preferably anonymised)?

Sorry, thought I did but I guess I forgot to attach it. Trying again …

I did manage to import it after removing the ^M's though. A quick edebug
shows that
(icalendar--read-element nil nil)
populates ical-contents, but
(icalendar--all-events ical-list)
returns nil.

-Kevin